Edit part of a skill's file
curl --request PATCH \
--url https://api.neoagent.io/public-api/skills/{skill_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_hash": "sha256:7c1f...",
"edits": [
{
"file_id": "a91f0000-0000-0000-0000-000000000000",
"new_string": " if matched and matched.active: # skip archived",
"old_string": " if matched:",
"replace_all": false
}
]
}
'import requests
url = "https://api.neoagent.io/public-api/skills/{skill_id}"
payload = {
"base_hash": "sha256:7c1f...",
"edits": [
{
"file_id": "a91f0000-0000-0000-0000-000000000000",
"new_string": " if matched and matched.active: # skip archived",
"old_string": " if matched:",
"replace_all": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base_hash: 'sha256:7c1f...',
edits: [
{
file_id: 'a91f0000-0000-0000-0000-000000000000',
new_string: ' if matched and matched.active: # skip archived',
old_string: ' if matched:',
replace_all: false
}
]
})
};
fetch('https://api.neoagent.io/public-api/skills/{skill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"description": "<string>",
"files": [
{
"content": "<string>",
"id": "<string>",
"path": "<string>",
"version": 123
}
],
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"source_run_id": "<string>",
"updated_at": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Skills
Edit part of a skill's file
Surgical search/replace edits to part of a file (the default for a tweak). Each edit must match exactly once unless replace_all is set; base_hash guards against concurrent writes.
PATCH
/
public-api
/
skills
/
{skill_id}
Edit part of a skill's file
Authorizations
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Path Parameters
Body
application/json
⌘I
